# osgUtil::RenderLeaf Class Reference

Container class for all data required for rendering of drawables. More...

Inheritance diagram for osgUtil::RenderLeaf:

[legend]
List of all members.

## Public Member Functions

| RenderLeaf (osg::Drawable *drawable, osg::RefMatrix *projection, osg::RefMatrix *modelview, float depth=0.0f)
void | set (osg::Drawable *drawable, osg::RefMatrix *projection, osg::RefMatrix *modelview, float depth=0.0f)
void | reset ()
virtual void | render (osg::State &state, RenderLeaf *previous)

## Public Attributes

RenderGraph * | _parent
osg::Drawable * | _drawable
osg::ref_ptr< osg::RefMatrix > | _projection
osg::ref_ptr< osg::RefMatrix > | _modelview
float | _depth

## Friends

class | osgUtil::RenderGraph
| Allow RenderGraph to change the RenderLeaf's _parent.

## Detailed Description

Container class for all data required for rendering of drawables.

## Constructor & Destructor Documentation

osgUtil::RenderLeaf::RenderLeaf | ( | osg::Drawable * | drawable,
|  | osg::RefMatrix * | projection,
|  | osg::RefMatrix * | modelview,
|  | float | depth = `0.0f`
| ) | `[inline]`

## Member Function Documentation

void RenderLeaf::render | ( | osg::State & | state,
|  | RenderLeaf * | previous
| ) | `[virtual]`

void osgUtil::RenderLeaf::reset | ( |  | ) | `[inline]`

void osgUtil::RenderLeaf::set | ( | osg::Drawable * | drawable,
|  | osg::RefMatrix * | projection,
|  | osg::RefMatrix * | modelview,
|  | float | depth = `0.0f`
| ) | `[inline]`

## Friends And Related Function Documentation

friend class osgUtil::RenderGraph `[friend]`

| Allow RenderGraph to change the RenderLeaf's _parent.

## Member Data Documentation

float osgUtil::RenderLeaf::_depth

osg::Drawable* osgUtil::RenderLeaf::_drawable

osg::ref_ptr<osg::RefMatrix> osgUtil::RenderLeaf::_modelview

RenderGraph* osgUtil::RenderLeaf::_parent

osg::ref_ptr<osg::RefMatrix> osgUtil::RenderLeaf::_projection

The documentation for this class was generated from the following files:

- RenderLeaf
- RenderLeaf.cpp